All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Interface AdvancedFilterConditionInterface

All Superinterfaces:
  FilterConditionInterface

All Known Implementing Classes:
  DefaultAdvancedFilterCondition

    public interface AdvancedFilterConditionInterface

extends FilterConditionInterface

This interface extends the FilterConditionInterface to add extra information about special rules for supplying the values to satisfy any given condition.

See Also:
  `FilterConditionInterface`

Method Summary
`boolean` | `isUserValueAllowed()` Returns TRUE if users are allowed to type in their own values, false otherwise.
`boolean` | `isValueListAllowed()` Returns TRUE if users are allowed to select values from a list (if available), false otherwise.

Methods inherited from interface com.sas.dataselectors.filters.FilterConditionInterface
`format, getCondition, getConditionArgumentCount, getConditionArgumentLabel, getConditionArgumentLabels, getConditionLabel, getConditionLabel, getConditionMessageFormat, isConditionObjectNegated, isExpressionValueAllowed, isPromptValueAllowed, setConditionMessageFormat, setLocale`

Method Detail

### isUserValueAllowed

    boolean isUserValueAllowed()

  Returns TRUE if users are allowed to type in their own values, false otherwise.

  Specified by:
    `isUserValueAllowed` in interface `FilterConditionInterface`
  Returns:
    TRUE if users are allowed to supply custom values

### isValueListAllowed

    boolean isValueListAllowed()

  Returns TRUE if users are allowed to select values from a list (if available), false otherwise.

  Specified by:
    `isValueListAllowed` in interface `FilterConditionInterface`
  Returns:
    TRUE if users are allowed to select from pre-determined values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.